<?php
$cate_id = "BASE_OPERATION"; //현재 메뉴 ID 필수!!!
include_once "{$_SERVER['DOCUMENT_ROOT']}/common.inc.php";
include_once _SVC_INC_PATH_ ."/auth_check.php";
include_once _HOME_INC_PATH_ ."/ajax_init.php";


if( !_notAuth("R") ){/************ 권한체크*/
  switch( $_REQUEST['mode'] ){
    case "getOperationList":
      $sql = "USP_B_OPERATION_S10";

      $params = array(
        "OP_NM"        => $_REQUEST['OP_NM']?:"",
        "USE_FLG"      => $_REQUEST['USE_FLG']?:"",
      );

      $rst = $baseObj->DB->exec($sql,$params);

      $rows = array();
      if( $rst ){
        $retval['code'] = true;
        while( $row = $baseObj->DB->fetch_array($rst) ){
//          $row['OP_CD_OLD'] = $row['OP_CD'];

          $rows[] = $row;
        }
        $retval['data'] = $rows;
      }else{
        $retval['code'] = false;
      }
      break;


    case "putOperation":
      if( _notAuth("W") ) break; /************ 권한체크*/

      $_REQUEST['reqdata'] = json_decode($_REQUEST['reqdata']);
      $rst = true;
      $ok_cd = array();
      foreach( $_REQUEST['reqdata'] as $data ){
        $data = (array)$data;

        // $cdata = $data;
        // unset($cdata['_STATUS_']);
        // unset($cdata['USE_FLG']);

        // if( empty(array_filter($cdata)) ){
        //   if( $data['_STATUS_'] == 'I' ) continue; //빈열제거
        //   if( $data['_STATUS_'] == 'U' ) $data['_STATUS_'] = 'D'; //빈열제거
        // }



        

//        $chksql = "USP_B_OPERATION_S20"; //CD 중복검사용
//        $chkparams = Array( //CD 중복검사용
//          $data['OP_CD']
//        );

        if( $data['OP_CD'] && $data['_STATUS_'] == 'D' ){
          $sql = "USP_B_OPERATION_D10";
          $params = Array(
            "OP_CD" => $data['OP_CD'],
          );
        }else{
          if( $data['OP_CD'] && $data['_STATUS_'] == 'U' ) {
//            $chkparams[] = $data['OP_CD_OLD']; //CD 중복검사용

            $sql = "USP_B_OPERATION_U10";
            $params = Array();
          }else{
            $sql = "USP_B_OPERATION_I10";
            $params = Array();
          }

//          $rst = $baseObj->DB->exec($chksql, $chkparams);
//          if( $rst ){
//            $row = $baseObj->DB->fetch_array($rst);
//            if( $row['OP_CD'] == $data['OP_CD'] ){
//              $rst = 0;
//              $retval['mesg'] = cUtil\Mlang::getText("{@1} 는 이미 사용중인 코드입니다.",array($data['OP_CD'])); break;
//            }
//          }
          $_REQUEST['RS_CODE'] = "";
          $_REQUEST['RS_MSG'] = "";
          $params = array_merge($params, Array(
            "OP_CD"        => $data['OP_CD']?:"",
            "OP_NM"        => $data['OP_NM']?:"",
            "DISPLAY_SEQ"  => $data['DISPLAY_SEQ']?:"",
//            "OP_GRP"       => $data['OP_GRP']?:"",
            "REMK"         => $data['REMK']?:"",
            "OS_FLG"       => $data['OS_FLG']?:"",
            "QC_FLG"       => $data['QC_FLG']?:"",
            "USE_FLG"      => $data['USE_FLG']?:"",
            "MAKE_USER_ID" => $GLOBALS['_Umem']['member_id'],

            "RS_CODE"      => array(&$_REQUEST['RS_CODE'], SQLSRV_PARAM_OUT),
            "RS_MSG"       => array(&$_REQUEST['RS_MSG'], SQLSRV_PARAM_OUT)
          ));
//          print_r($params);
          // 기본키 누락시
          // if (!$data['OP_CD'] || $data['OP_CD']=="") { $_REQUEST['RS_MSG'] = cUtil\Mlang::getText("공정코드가 누락된 행은 반영되지 않습니다."); $rst = false; break; }
          
          // 길이제한
          if(strlen($data['OP_CD']) > 10){$_REQUEST['RS_MSG'] = cUtil\Mlang::getText("공정코드는 10자 내로 작성해주세요."); $rst=false; break;}
          if(mb_strlen($data['OP_NM']) > 20){$_REQUEST['RS_MSG'] = cUtil\Mlang::getText("공정명은 20자 내로 작성해주세요."); $rst=false; break;}
          if(strlen($data['REMK']) > 100){$_REQUEST['RS_MSG'] = cUtil\Mlang::getText("비고는 100자 내로 작성해주세요."); $rst=false; break;}
        }
        $rst = $baseObj->DB->exec($sql, $params);
        if( $rst ) $ok_cd[] = $data['OP_CD'];
        // $rst = $rst && $rst2;
      }
      
      // print_r($_REQUEST['RS_CODE']);
      $retval['data'] = $ok_cd;
      if($rst && !$_REQUEST['RS_CODE']){
        $retval['code'] = true;
      }else{
        $retval['code'] = false;
        $retval['mesg']  = $_REQUEST['RS_MSG'];
      }
    break;
  }
}



if( !$_REQUEST['no_echo'] ){
  echo json_encode($retval);
}